OpenShot Audio Library | OpenShotAudio: juce::ActionBroadcaster Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ActionBroadcaster Class Reference

`#include <juce_ActionBroadcaster.h>`

## Public Member Functions
| ActionBroadcaster ()
virtual | ~ActionBroadcaster ()
void | addActionListener (ActionListener *listener)
void | removeActionListener (ActionListener *listener)
void | removeAllActionListeners ()
void | sendActionMessage (const String &message) const

## Detailed Description

Manages a list of ActionListeners, and can send them messages.

To quickly add methods to your class that can add/remove action listeners and broadcast to them, you can derive from this.

See also
  ActionListener, ChangeListener

Definition at line 36 of file juce_ActionBroadcaster.h.

## Constructor & Destructor Documentation

## ◆ ActionBroadcaster()

juce::ActionBroadcaster::ActionBroadcaster | ( |  | ) |

Creates an ActionBroadcaster.

Definition at line 52 of file juce_ActionBroadcaster.cpp.

## ◆ ~ActionBroadcaster()

juce::ActionBroadcaster::~ActionBroadcaster | ( |  | ) |
| virtual

Destructor.

Definition at line 58 of file juce_ActionBroadcaster.cpp.

## Member Function Documentation

## ◆ addActionListener()

void juce::ActionBroadcaster::addActionListener | ( | ActionListener * | listener | ) |

Adds a listener to the list. Trying to add a listener that's already on the list will have no effect.

Definition at line 64 of file juce_ActionBroadcaster.cpp.

## ◆ removeActionListener()

void juce::ActionBroadcaster::removeActionListener | ( | ActionListener * | listener | ) |

Removes a listener from the list. If the listener isn't on the list, this won't have any effect.

Definition at line 72 of file juce_ActionBroadcaster.cpp.

## ◆ removeAllActionListeners()

void juce::ActionBroadcaster::removeAllActionListeners | ( |  | ) |

Removes all listeners from the list.

Definition at line 78 of file juce_ActionBroadcaster.cpp.

## ◆ sendActionMessage()

void juce::ActionBroadcaster::sendActionMessage | ( | const String & | message | ) | const

Broadcasts a message to all the registered listeners.

See also
  ActionListener::actionListenerCallback

Definition at line 84 of file juce_ActionBroadcaster.cpp.

The documentation for this class was generated from the following files:

- juce_ActionBroadcaster.h
- juce_ActionBroadcaster.cpp